# WOK
TKWOK
WOKNT

# WOKNT_ShellManager Class Reference

shell management

`#include <WOKNT_ShellManager.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Handle_WOKNT_Shell | GetShell ()
| returns one unlocked shell of processes list
static Standard_EXPORT void | Arm ()
| sets signal handlers
static Standard_EXPORT void | UnArm ()
| unsets signal handlers
static Standard_EXPORT void | KillAll ()
| Terminates all active sub-processes .
static Standard_EXPORT void | Break ()
| Checks whethes CTRL-BREAK keystroke was or not. if yes then raises .

## Member Function Documentation

static Standard_EXPORT void WOKNT_ShellManager::Arm | ( |  | ) | `[static]`

static Standard_EXPORT void WOKNT_ShellManager::Break | ( |  | ) | `[static]`

static Standard_EXPORT Handle_WOKNT_Shell WOKNT_ShellManager::GetShell | ( |  | ) | `[static]`

static Standard_EXPORT void WOKNT_ShellManager::KillAll | ( |  | ) | `[static]`

void WOKNT_ShellManager::operator delete | ( | void * | anAddress | ) | `[inline]`

void* WOKNT_ShellManager::operator new | ( | size_t | size | ) | `[inline]`

void* WOKNT_ShellManager::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT void WOKNT_ShellManager::UnArm | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- WOKNT_ShellManager.hxx